package com.sky.ioc.mapper.system;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sky.ioc.entity.domain.system.Menus;
import com.sky.ioc.entity.params.IocParam;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;
import java.util.Map;

@Mapper
public interface MenuMapper extends BaseMapper<Menus> {

    @Select("select * from  menus WHERE parent_id = #{parentId} ORDER BY order_num ")
    List<Menus> getListParentId(@Param("parentId") Integer parentId);
    @Select("select * from  menus  ")
    List<Menus> getList();
}
